Bug 33280

Summary: [RVCT] ACID3 test crash
Product: WebKit Reporter: Laszlo Gombos <laszlo.gombos>
Component: PlatformAssignee: Laszlo Gombos <laszlo.gombos>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, benjamin, cshu, hausmann, koshuin, laszlo.gombos, peojala11, s.mathur, suresh.voruganti
Priority: P1 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: PC   
OS: S60 3rd edition   
Bug Depends on:    
Bug Blocks: 27065    
Attachments:
Description Flags
RVCT workaround none

Description Laszlo Gombos 2010-01-06 17:18:33 PST
To reproduce, load http://acid3.acidtests.org/ with QtLauncher or other launchers on a Symbian device.

Crash was reproduced with SVG turned off, but probably will happen if SVG turned on as well.
Comment 1 Laszlo Gombos 2010-01-06 17:43:23 PST
Created attachment 46013 [details]
RVCT workaround
Comment 2 Simon Hausmann 2010-01-07 03:34:09 PST
(In reply to comment #1)
> Created an attachment (id=46013) [details]
> RVCT workaround

This patch is now tracked in http://gitorious.org/+qtwebkit-developers/webkit/qtwebkit/commits/staging/4.6/webkit-bug-33280
Comment 3 Simon Hausmann 2010-01-07 03:38:43 PST
(In reply to comment #1)
> Created an attachment (id=46013) [details]
> RVCT workaround

Patch merged into qtwebkit-4.6 with b217cdfedc7b5e7581325bda718192247f03dd5d
Comment 4 Simon Hausmann 2010-04-19 18:47:31 PDT
We haven't merged this into the 2.0 release branch yet. Laszlo, can you verify if the bug still exists, i.e. use week 14 build to try?
Comment 5 Janne Koskinen 2010-04-20 00:45:53 PDT
(In reply to comment #4)
> We haven't merged this into the 2.0 release branch yet. Laszlo, can you verify
> if the bug still exists, i.e. use week 14 build to try?

This is RVCT 2.2 issue and I don't think it will go away. I have previously reproduced this with 3.1 and 5.0 and Petri came up with the same fix.
Comment 6 Simon Hausmann 2010-04-20 07:13:25 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > We haven't merged this into the 2.0 release branch yet. Laszlo, can you verify
> > if the bug still exists, i.e. use week 14 build to try?
> 
> This is RVCT 2.2 issue and I don't think it will go away. I have previously
> reproduced this with 3.1 and 5.0 and Petri came up with the same fix.

Surely RVCT doesn't change, but WebKit's code base changes rapidly :)
Comment 7 Petri Ojala 2010-04-26 02:05:58 PDT
Tested with latest 4.7 (gitorious.org/qt/qt.git - 4.7 branch).

Crash exists, so actions needed. (no crash with 4.6)
Comment 8 Laszlo Gombos 2010-04-26 07:37:15 PDT
Petri, thanks for picking this up. 

I take you mean that QtWebKit 4.6 works and WebKit 2.0 fails independently on the underlying Qt version (4.6 or 4.7). Can you confirm ?
Comment 9 Petri Ojala 2010-04-26 23:19:03 PDT
Qt 4.6 + qtwebkit4.6 = OK
Qt 4.7 + webkit 2.0 = Crash
Comment 10 Simon Hausmann 2010-04-27 02:53:56 PDT
(In reply to comment #9)
> Qt 4.6 + qtwebkit4.6 = OK
> Qt 4.7 + webkit 2.0 = Crash

Thank you, that means we should apply this patch to the release branch. I'm on it.
Comment 11 Simon Hausmann 2010-04-27 02:57:42 PDT
Patch cherry-picked into the qtwebkit-2.0 branch with commit d91872130476bbc3ab17655693f4be1de7f9d471
Comment 12 Simon Hausmann 2010-07-22 06:50:10 PDT
Patch cherry-picked into the qtwebkit-2.1 branch with commit 54ecd4d4473ddea4fe630726cab29ff06278ca2e
Comment 13 Suresh Voruganti 2010-09-07 13:18:25 PDT
Simon, can you resolve the error as the patch is already picked for Qtwebkit 2.1 and 2.0
Comment 14 Chang Shu 2010-09-07 13:22:59 PDT
This patch is never landed...
Comment 15 Janne Koskinen 2011-03-03 05:29:04 PST
Bump. Do we land this patch or not? I'll close this next week for "later" if no objections.
Comment 16 Chang Shu 2011-03-03 06:02:10 PST
somebody should try the rvct4 build without this patch.
Comment 17 Laszlo Gombos 2011-03-14 12:42:16 PDT
Assigning to myself to test if this is still required for RVCT4.
Comment 18 Siddharth Mathur 2011-03-26 14:15:02 PDT
Invalid with latest trunk + RVCT 4.0. Hence resolving.
Comment 19 Ademar Reis 2011-04-11 11:43:32 PDT
(In reply to comment #18)
> Invalid with latest trunk + RVCT 4.0. Hence resolving.

I'm assuming you mean it's not needed anymore (and therefore it's FIXED), so removing the dependency from #32653.
Comment 20 Siddharth Mathur 2011-04-11 12:04:22 PDT
(In reply to comment #19)
> (In reply to comment #18)
> > Invalid with latest trunk + RVCT 4.0. Hence resolving.
> 
> I'm assuming you mean it's not needed anymore (and therefore it's FIXED), so removing the dependency from #32653.

Ademar,
Changing WONTFIX->FIXED. Sorry for the confusion. 
BTW, Norbert verified the other day that we get 100% on ACID3 with trunk on Symbian.